<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayColletion;
use Symfony\Component\Validator\Constraints as Assert;
use ApiPlatform\Core\Annotation\ApiResource;

/**
 * @ORM\Entity
 * @ORM\HasLifecycleCallbacks()
 * @ORM\Table(name="prices")
 * @ApiResource(
 *  itemOperations={"get"},
 *  collectionOperations={"get"}
 * )
 */
class Prices 
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\Column(type="integer")
     */
    private ?int $id = null;

    /**
     * @ORM\Column(type="date")
     */
    public ?\DateTime $day = null;

    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h00 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h01 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h02 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h03 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h04 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h05 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h06 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h07 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h08 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h09 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h10 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h11 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h12 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h13 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h14 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h15 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h16 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h17 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h18 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h19 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h20 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h21 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h22 = null;
    /**
     * @ORM\Column(type="decimal", precision="8", scale="6")
     */
    public ?float $h23 = null;

    
 
 
    /******** METHODS ********/
 
    public function getId()
    {
        return $this->id;
    }
 
    /**
     * Prepersist gets triggered on Insert
     * @ORM\PrePersist
     */
    public function updatedTimestamps()
    {
        if ($this->day == null) {
            $this->day = new \DateTime('now');
        }
    }
 
    public function __toString()
    {
        return $this->name;
    }
}